<template>
	<view class="register_index">
		<u-form
			ref="form"
			:model="formRegister"
			:rules="rulesRegister"
			labelWidth="auto"
			labelPosition="left">
			<u-form-item
				label="头像"
				prop="photo"
				borderBottom>
				<div style="display: flex;flex-direction: row-reverse;">
					<u-image src="@/static/agvor.png" width="100rpx" height="100rpx"></u-image>
				</div>
				<!-- <u-image :src="`https://pipe.thhy-tj.com/${formRegister.photo}`" width="100rpx" height="100rpx"></u-image> -->
			</u-form-item>
			<u-form-item
					label="编号"
					prop="jobNum"
					borderBottom>
				<u-input
					:disabled="disabled"
					v-model="formRegister.jobNum"
					disabledColor="#ffffff"
					placeholder="请输入编号"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="姓名"
					prop="realName"
					borderBottom>
				<u-input
					:disabled="disabled"
					disabledColor="#ffffff"
					v-model="formRegister.realName"
					placeholder="请输入姓名"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="性别"
					prop="sex"
					borderBottom
					@click="changeSex()">
				<u-input
					v-model="formRegister.sex"
					placeholder="请选择性别"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="手机号码"
					prop="phone"
					borderBottom>
				<u-input
					v-model="formRegister.phone"
					placeholder="请输入手机号码"
					disabledColor="#ffffff"
					:disabled="disabled"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="身份证号"
					prop="idNo"
					borderBottom>
				<u-input
					v-model="formRegister.idNo"
					placeholder="请输入身份证号"
					:disabled="disabled"
					disabledColor="#ffffff"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="岗位"
					prop="posName"
					borderBottom
					@click="changePosition()">
				<u-input
					v-model="formRegister.posName"
					placeholder="请选择岗位"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="班组"
					prop="groupName"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.groupName"
					placeholder="请选择班组"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="部门"
					class="item_rows"
					prop="departName"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.departName"
					placeholder="请选择部门"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="政治面貌"
					prop="zzmm"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.zzmm"
					placeholder="请选择政治面貌"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="有无从业证书"
					prop="hasCert"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.hasCert"
					placeholder="请选择从业证书"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="进厂时间"
					prop="comeFactoryTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.comeFactoryTime"
					placeholder="请选择进厂时间"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="离岗时间"
					prop="leaveFactoryTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.leaveFactoryTime"
					placeholder="请选择离岗时间"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="入职时间"
					prop="employedTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.employedTime"
					placeholder="请选择入职时间"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="籍贯"
					prop="jg"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.jg"
					placeholder="请选择籍贯"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="人员状态"
					prop="status"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.status"
					placeholder="请选择人员状态"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
		</u-form>
	</view>
</template>

<script>
import { basrUrl } from '../../api/http';
import { throttle } from '../../plugins/public';
	export default {
		data() {
			return {
				fileList: [],
				formRegister: {
					realName: '',
					sex: '',
					phone: '',
					idNo: '',
					posId: '',
					remark: ''
				},
				disabled:true,
				showSex: false, // 性别选择
				sexColumns: [[{
					value: 0,
					label: '男'
				}, {
					value: 1,
					label: '女'
				}]],
				showCompany: false,
				companyColumns: [],
				showPosition: false,
				positionColumns: [],
				rulesRegister: {}
			}
		},
		onLoad(option) {
			this.getUserInfo(option.userId)
		},
		methods: {
			//获取个人信息
			getUserInfo(val){
				this.$api.reboSystem.userSelfInfo({userId:val}).then(res=>{
					if(res.statusMsg === 'ok'){
						this.formRegister = res.data
						this.$set(this.formRegister,'sex',res.data.sex==='0'?'男':res.data.sex==='1'?'女':'')
						this.$set(this.formRegister,'hasCert',res.data.hasCert==='1'?'有':res.data.hasCert==='0'?'无':'')
						this.$set(this.formRegister,'status',res.data.status==='1'?'在职':res.data.status==='2'?'离职':' ')
						this.$set(this.formRegister,'groupName',res.data.groupName===null?' ':res.data.groupName)
						this.$set(this.formRegister,'zzmm',res.data.zzmm===null?' ':res.data.zzmm)
						this.$set(this.formRegister,'comeFactoryTime',res.data.comeFactoryTime===null?' ':res.data.comeFactoryTime)
						this.$set(this.formRegister,'leaveFactoryTime',res.data.leaveFactoryTime===null?' ':res.data.leaveFactoryTime)
						this.$set(this.formRegister,'employedTime',res.data.employedTime===null?' ':res.data.employedTime)
						this.$set(this.formRegister,'jg',res.data.jg===null?' ':res.data.jg)
						this.$set(this.formRegister,'departName',res.data.departName===null?' ':res.data.departName)
					}else{
						uni.$u.toast(res.statusMsg);
					}
				})
			},
		}
	}
</script>

<style scoped lang="scss">
.register_index {
	position: relative;
	padding: 10px;
	height: calc(100vh - 20px);
}

.submit_bnt {
	position: absolute;
	bottom: 5%;
	width: calc(100% - 20px);
}

::v-deep .u-input__content__field-wrapper__field {
	text-align: right !important;
}

::v-deep .u-upload__wrap {
	justify-content: flex-end;
}

::v-deep .u-upload__wrap__preview {
	margin: 0 !important;
}
// ::v-deep .u-form-item__body__right{
// 	flex: none!important;
// }
::v-deep .u-form-item__body{
	justify-content: space-between;
}
::v-deep .u-form{
	padding-bottom: 20px;
}
</style>